# -*- coding: utf-8 -*-
# @Time    : 2023/3/2 09:46
# @Author  : songchongchong
# @File    : main.py
# @Software: PyCharm

import requests
import json

# 请求头
headers = {
    "Content-Type": "application/x-www-form-urlencoded",
    "appKey": "<您的appKey>",
    "appSecret": "<您的appKey>"
}

# 1.发送单条短信
url = 'https://dx.11185.cn:13011/isms-send-api/send/sms'
varValues = {
    "name": "111",
    "month": "2023-03"
}
varValuesStr = json.dumps(varValues, ensure_ascii=False)
data = {
    'phone': '186*****938',
    'signId': '签名ID',
    'templateId': '短信模板ID',
    'extendNum': '扩展码',
    'varValues': varValuesStr,
    'siteAppKey': ''
}
res = requests.post(url=url, headers=headers, data=data)
print(res.status_code)
print(res.text)

# 2.发送批量短信
url = 'https://dx.11185.cn:13011/isms-send-api/send/batchSms'
phoneArray = [ "186*****938", "186*****937"]
phoneArrayStr = json.dumps(phoneArray, ensure_ascii=False)
varValuesArray = [
    {
        "name": "111",
        "month": "2023-03"
    },
    {
        "name": "112",
        "month": "2023-04"
    },
]
varValuesArrayStr = json.dumps(varValuesArray, ensure_ascii=False)
data = {
     'phoneArray': phoneArrayStr,
     'signId': '签名ID',
     'templateId': '短信模板ID',
     'extendNum': '扩展码',
     'varValuesArray': varValuesArrayStr,
     'siteAppKey': ''
}
res = requests.post(url=url, headers=headers, data=data)
print(res.status_code)
print(res.text)

# 3.状态报告和上行短信
url = 'https://dx.11185.cn:13012/isms-recv-api/recv/smsUp'
res = requests.post(url=url, headers=headers)
print(res.status_code)
print(res.text)
