// ConfMsg.h: interface for the CConfMsg class.
//
//////////////////////////////////////////////////////////////////////

#if !defined __CONFMSG_H__
#define __CONFMSG_H__

#include "GSMP.h"

class CConfMsg  
{
public:
	CConfMsg();
	virtual ~CConfMsg();

	void GetValByName(const char *pName, char *pBuf, char *pVal);
	bool initConfig(char *pFile = NULL);

public:
	char m_cCorpID[8];
	char m_cSpNum[6];
	
	char m_cLUserName[10];
	char m_cLUserPwd[10];
	char m_cRUserName[10];
	char m_cRUserPwd[10];
	char m_cSourceID[12];

	//int m_nPageSpaceBinary;
	
	char m_cClientIP[17];
	int m_nLocalPort;
	char m_cServerIP[17];
	int m_nServerPort;
	
	int m_nSubmitRetry;
	int m_nRequestTimeout;

	bool m_bInitConf;

	//db info
	char m_cDbAddr[20];
	char m_cDbSrv[16];
	int m_nDbPort;
	char m_cDbUser[16];
	char m_cDbPass[16];

	int m_nOperFlag;
};

#endif // !defined(AFX_CONFMSG_H__C4E5F254_7FCD_4D87_BA2B_3F66628610BF__INCLUDED_)

