
#include "Config.h"

CConfig::CConfig()
{
	m_pXmlConf = NULL;	
	m_bSetConf = false;
}

CConfig::~CConfig()
{
	if (m_pXmlConf != NULL)
		delete m_pXmlConf;
}

bool CConfig::LoadConfig(char *pFile)
{
	if (m_pXmlConf != NULL)
		delete m_pXmlConf;
	else
		m_pXmlConf = new CSXmlDoc();
				
		if (pFile == NULL)
				m_pXmlConf->Parse("./conf.xml", 1);
		else
				m_pXmlConf->Parse(pFile, 1);
				
		m_bSetConf = true;
				
		return true;
}


string CConfig::GetMsgByName(char *pName)
{
		string strMsg = "";
		char cMsg[1024];
		memset(cMsg, 0, sizeof(cMsg));
		if (m_pXmlConf != NULL)
		{
			m_pXmlConf->GetItemByName(pName, cMsg);
		}
		
		strMsg = cMsg;
		
		return strMsg;
}


	


