//#include "StdAfx.h"
#include "StringUtil.h"
 #include <assert.h>
CStringUtil::CStringUtil(void)
{

}

CStringUtil::~CStringUtil(void)
{

}
void CStringUtil::StrSplit(string& sourceStr,vector<string>& outBuf,const char strFlag)
{
	int m=0;
	 string substrtem;
	// outBuf.reserve(100);
	 if(sourceStr.at(sourceStr.size()-1)!=strFlag)
	 {
		 sourceStr.append(1,strFlag);
	 }
	 if(sourceStr.at(0)!=strFlag)
	 {
		string strAppFlag(1,strFlag);
		sourceStr =strAppFlag+sourceStr;
	 }
	 for(int i=0;i<sourceStr.size();i++)
	 {
		 if(sourceStr.at(i)==strFlag){
			if(i==0)
				continue;
			substrtem.assign(sourceStr,m,i-m);
			substrtem=substrtem.substr(1,substrtem.size()-1);
			//cout<<"===substrtem==="<<substrtem<<endl;
			outBuf.push_back(substrtem);
			//cout<<"==push_back ok!!!"<<endl;
			m=i;
		 }
	 }
	return ;
}

void CStringUtil::StrSplit(string& sourceStr,deque<string>& outBuf,const char strFlag)
{
	int m=0;
	 string substrtem;
	// outBuf.reserve(100);
	 if(sourceStr.at(sourceStr.size()-1)!=strFlag)
	 {
		 sourceStr.append(1,strFlag);
	 }
	 if(sourceStr.at(0)!=strFlag)
	 {
		string strAppFlag(1,strFlag);
		sourceStr =strAppFlag+sourceStr;
	 }
	 for(int i=0;i<sourceStr.size();i++)
	 {
		 if(sourceStr.at(i)==strFlag){
			if(i==0)
				continue;
			substrtem.assign(sourceStr,m,i-m);
			substrtem=substrtem.substr(1,substrtem.size()-1);
			//cout<<"===substrtem==="<<substrtem<<endl;
			outBuf.push_back(substrtem);
			//cout<<"==push_back ok!!!"<<endl;
			m=i;
		 }
	 }
	return ;
}

void CStringUtil::StrSplit(string& str,vector<string>& inputs,const char* splitflag)
{
	if(strstr(str.c_str(),splitflag)==NULL)
        return;
    int m=0;
    int k;
    int len = strlen(splitflag);
    int n=len;
    int strLen = str.size();
    string strTemp = str.substr(strLen-len,len);
    if(strcmp(strTemp.c_str(),splitflag)!=0){
       str.append(splitflag);
       strLen = str.size();
    }
    strTemp = str.substr(0,len);
    if(strcmp(strTemp.c_str(),splitflag)!=0){
        string myStr(splitflag);
        str = myStr+str;
        strLen = str.size();
    }
    string temp;
    for(int i=0;i<strLen;i++){
         if(str.at(i)==splitflag[0]){
            for(int j=0;j<len;j++){
                if(str.at(i+j)!=splitflag[j])
                    break;
                k=j;
            }
            m=k+1;
             if((m==len)&&(i+len-1<strLen)){
                if(i==0){
                   i=i+len;
                   continue;
                }
                temp.assign(str,n,i-n);
                n=i+len;
				inputs.push_back(temp);
             }
         }
    }
	return ;
}

string& CStringUtil::strReplace(string& sourceStr, const string& findStr, const string& reStr)
{
	size_t lookHere=0;
	size_t foundHere;
	while((foundHere=sourceStr.find(findStr,lookHere))!=string::npos)
	{
		sourceStr.replace(foundHere,findStr.size(),reStr);
		lookHere=foundHere+reStr.size();
	}
	return sourceStr;
}



int CStringUtil::strFind(const char* sourceStr, const char* findStr) {
	if (sourceStr == NULL || findStr == NULL || strlen(sourceStr)
			< strlen(findStr))
		return -1;
	char *str;
	if ((str = (char *)strstr(sourceStr, findStr)) == NULL)
		return -1;
	int i = str - sourceStr;
	return i;
}

string CStringUtil::StrTrim(string& sourceStr,const char trimFlag)
{
	string outStr="";
	vector<string> temps;
	temps.clear();
	StrSplit(sourceStr,temps,trimFlag);
	for(int i=0;i<temps.size();i++)
		outStr+=temps.at(i);
	temps.clear();
	return outStr;
}
string CStringUtil::StrTrim(string& sourceStr,const char* trimFlags)
{
	string outStr="";
	vector<string> temps;
	temps.clear();
	StrSplit(sourceStr,temps,trimFlags);
	for(int i=0;i<temps.size();i++)
		outStr+=temps.at(i);
	temps.clear();
	return outStr;
}
string CStringUtil::StrTrimHeadAndTail(string& sourceStr,const char trimFlag)
{
	string drop(1,trimFlag);
	// trim right
	sourceStr.erase(sourceStr.find_last_not_of(drop)+1);
	// trim left
	return sourceStr.erase(0,sourceStr.find_first_not_of(drop));
}

bool CStringUtil::isNumberChar(const char c)
{
	if(c>=48&&c<=57)
		return true;
	else
		return false;
}
bool CStringUtil::isNumberString(string& cStr)
{
	for(int i=0;i<cStr.length();i++){
		if(!isNumberChar(cStr.at(i)))
			return false;
	}
	return true;
}
bool CStringUtil::isNumberString(char* cStr)
{
	string cstringt = cStr;
	return isNumberString(cstringt);
}
int CStringUtil::strToInteger(string& intStr)
{
	if(!isNumberString(intStr))
		return 0;
	else
		return strToInteger((char*) intStr.c_str());
}
int CStringUtil::strToInteger(char* intStr)
{
	if(!isNumberString(intStr))
		return 0;
	else{
		int out;
		out=atoi(intStr);
		return out;
	}
}

long CStringUtil::strToLong(string& longStr)
{
	return strToLong((char*)longStr.c_str());
}
long CStringUtil::strToLong(char* longStr)
{
	long out=atol(longStr);
	return out;
}

float CStringUtil::strToFloat(string& floatStr)
{
	return strToFloat((char*)floatStr.c_str());
}
float CStringUtil::strToFloat(char* floatStr)
{
	float out;
	out=atof(floatStr);
	return out;
}

double CStringUtil::strToDouble(string& doubleStr)
{
	return strToDouble((char*)doubleStr.c_str());
}
double CStringUtil::strToDouble(char* doubleStr)
{
	double out=atof(doubleStr);
	return out;
}

char* CStringUtil::IntegerToStr(char * dest,int num)
{
	char* pBuf=dest; 
	sprintf(pBuf,"%d",num);
	return pBuf;
}
string CStringUtil::IntegerToStr(int num)
{
	char buf[100]={0x00};
	sprintf(buf,"%d",num);
	string outRest=buf;
	return outRest;
}

char* CStringUtil::longToStr(char* dest,long num)
{
	char* pBuf=dest; 
	sprintf(pBuf,"%ld",num);
	return pBuf;
}
string CStringUtil::longToStr(long num)
{
	char buf[100]={0x00};
	sprintf(buf,"%d",num);
	string outRest=buf;
	return outRest;
}

char* CStringUtil::floatToStr(char* dest,float num)
{
	char* pBuf=dest; 
	sprintf(pBuf,"%f",num);
	return pBuf;
}
string CStringUtil::floatToStr(float num)
{
	char buf[100]={0x00};
	sprintf(buf,"%f",num);
	string outRest=buf;
	return outRest;
}

char* CStringUtil::doubleToStr(char* dest,double num)
{
	char* pBuf=dest; 
	sprintf(pBuf,"%f",num);
	return pBuf;
}
string CStringUtil::doubleTostr(double num)
{
	char buf[100]={0x00};
	sprintf(buf,"%lf",num);
	string outRest=buf;
	return outRest;
}

bool CStringUtil::compare(const char* pStr,const string sStr)
{
	int nLen=strlen(pStr);
	if(nLen!=sStr.size()){
		return false;
	}
	return strncmp(pStr,sStr.c_str(),nLen)==0;
}

bool CStringUtil::is09(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr != NULL);
	char *tmp = (char *)cStr;
	if ((char)*tmp == '\0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 1;
		}
		return false;
	}
	while ( (char)*tmp != '\0') {
			if ((char)*tmp > '9' || (char)*tmp < '0')
			{
				if (iErrNO != NULL)
					*iErrNO = 2;
				return false;
			}
			++tmp;
	}
	return true;
}

bool CStringUtil::isaz(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr!=NULL);
//	if (cStr == NULL)
//	{
//		if (iErrNO != NULL)
//		{
//			*iErrNO = -1;
//		}
//		//throw CStringUtilException("CStringUtil.isaz в쳣");
//	}
	char *tmp = (char *)cStr;
	if ((char)*tmp == '\0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 1;
		}
		return false;
	}
	while ( (char)*tmp != '\0') {
			if ((char)*tmp > 'z' || (char)*tmp < 'a')
			{
				if (iErrNO != NULL)
					*iErrNO = 2;
				return false;
			}
			++tmp;
	}
	return true;
}
bool CStringUtil::isAZ(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr != NULL);
//	if (cStr == NULL)
//	{
//		if (iErrNO != NULL)
//		{
//			*iErrNO = -1;
//		}
//		throw CStringUtilException("CStringUtil.isAZ в쳣");
//	}
	char *tmp = (char *)cStr;
	if ((char)*tmp == '\0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 1;
		}
		return false;
	}
	while ( (char)*tmp != '\0') {
			if ((char)*tmp > 'Z' || (char)*tmp < 'A')
			{
				if (iErrNO != NULL)
					*iErrNO = 2;
				return false;
			}
			++tmp;
	}
	return true;
}

bool CStringUtil::isAZaz(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr != NULL);
	char *tmp = (char *)cStr;
	if ((char)*tmp == '\0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 1;
		}
		return false;
	}
	while ( (char)*tmp != '\0') {
			if (!(
					((char)*tmp >= 'A' && (char)*tmp <= 'Z')
					||
					((char)*tmp >= 'a' && (char)*tmp <= 'z')
				 )
				)
			{
				if (iErrNO != NULL)
					*iErrNO = 2;
				return false;
			}
			++tmp;
	}
	return true;
}
bool CStringUtil::isAZaz09(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr != NULL);
	char *tmp = (char *)cStr;
	if ((char)*tmp == '\0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 1;
		}
		return false;
	}
	while ( (char)*tmp != '\0') {
			if (!(
					((char)*tmp >= 'A' && (char)*tmp <= 'Z')
					||
					((char)*tmp >= 'a' && (char)*tmp <= 'z')
					||
					((char)*tmp >= '0' && (char)*tmp <= '9')
				  )
				)
			{
				if (iErrNO != NULL)
					*iErrNO = 2;
				return false;
			}
			++tmp;
	}
	return true;
}
bool CStringUtil::isASCII(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr != NULL);
	char *tmp = (char *)cStr;
	if ((char)*tmp == '\0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 1;
		}
		/* NULL ҲASCII */
		return true;
	}
	while ( (char)*tmp != '\0') {
			if ( (char)*tmp > 127 || (char)*tmp < 0)
			{
				if (iErrNO != NULL)
					*iErrNO = 2;
				return false;
			}
			++tmp;
	}
	return true;
}
bool CStringUtil::is01(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(!cStr == NULL);
//	if (cStr == NULL)
//	{
//		if (iErrNO != NULL)
//		{
//			*iErrNO = -1;
//		}
//		throw CStringUtilException("CStringUtil.is01 в쳣");
//	}
	char *tmp = (char *)cStr;
	if ((char)*tmp == '\0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 1;
		}
		return false;
	}
	if (strlen(cStr) !=1)
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 3;
		}
		return false;
	}
	if ((char)*tmp > '1' or (char)*tmp < '0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 2;
		}
		return false;
	}
	return true;
}
bool CStringUtil::CStringUtil::isInt(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr != NULL);
	char *tmp = (char *)cStr;
	bool re;
	if ((char)*tmp == '-')
	{
		re = is09(tmp+1, iErrNO);
	}else
	{
		re = is09(tmp, iErrNO);
	}
	return re;
}
bool CStringUtil::isLong(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr != NULL);
	char *tmp = (char *)cStr;
	bool re;
	if ((char)*tmp == '-')
	{
		re = is09(tmp+1, iErrNO);
	}else
	{
		re = is09(tmp, iErrNO);
	}
	return re;
}
bool CStringUtil::isDouble(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(cStr != NULL);
	char *tmp = (char *)cStr;
	if ((char)*tmp == '-')
		tmp = tmp + 1;
	if ((char)*tmp == '.')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 2;
		}
		return false;
	}
	if ((char)*tmp == '\0')
	{
		if (iErrNO != NULL)
		{
			*iErrNO = 1;
		}
		return false;
	}
	while ( (char)*tmp != '\0') {
			if (!(
					((char)*tmp >= '0'&& (char)*tmp <= '9')
					||
					((char)*tmp == '.')
				 )
			   )
			{
				if (iErrNO != NULL)
					*iErrNO = 2;
				return false;
			}
			++tmp;
	}
	return true;
}
bool CStringUtil::isBool(const char *cStr,int *iErrNO)
{
	if (iErrNO != NULL) *iErrNO = 0;
	assert(!cStr == NULL);
//	if (cStr == NULL)
//	{
//		if (iErrNO != NULL)
//		{
//			*iErrNO = -1;
//		}
//
//		//throw CStringUtilException("CStringUtil.isBool в쳣");
//	}
	//char *tmp = (char *)cStr;
//	char* tmp=const_cast<char*>(cStr);
//	if ((char)*tmp == '\0')
//	{
//		if (iErrNO != NULL)
//		{
//			*iErrNO = 1;
//		}
//		return false;
//	}
//	if (strlen(tmp) == 1)
//		return is01(cStr, iErrNO);
//	if (strlen(tmp) > 5)
//		return false;
//	char stmp[10] = { 0x00 };
//	strcpy(stmp, tmp);
//	if (strcmp(toLower(stmp), "false")==0 || strcmp(toLower(stmp), "true")==0)
//		return true;
//	else
//		return false;
	return false;
}


